%global srcname jpa-api
%global specver 2.2

Name:           jakarta-persistence
Version:        2.2.3
Release:        %mkrel 2
Group:          Development/Java
Summary:        JPA / Jakarta Persistence API
License:        EPL-2.0 or BSD

%global src_ver %{specver}-%{version}-RELEASE

URL:            https://github.com/eclipse-ee4j/jpa-api
Source0:        %{url}/archive/%{src_ver}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jpa = %{version}-%{release}
Obsoletes:      geronimo-jpa < 1.1.1-28

%description
Jakarta Persistence defines a standard for management of persistence
and object/relational mapping in Java environments.


%package javadoc
Summary:        Javadoc for %{name}

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jpa-javadoc = %{version}-%{release}
Obsoletes:      geronimo-jpa-javadoc < 1.1.1-28

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{src_ver}

pushd api
# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin

# add alias for old artifact coordinates used by osgi-compendium
%mvn_alias jakarta.persistence:jakarta.persistence-api javax.persistence:persistence-api
popd


%build
pushd api
%mvn_build
popd


%install
pushd api
%mvn_install
popd


%files -f api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f api/.mfiles-javadoc
%license LICENSE.md NOTICE.md




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.2.3-2.mga9
+ Revision: 1827575
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 2.2.3-1.mga8
+ Revision: 1622279
- Update to 2.2.3
- package renamed to jakarta-persistence

* Tue Feb 11 2020 umeabot <umeabot> 1.1.1-20.mga8
+ Revision: 1489803
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.1-19.mga7
+ Revision: 1260982
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1.1-18.mga6
+ Revision: 981806
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.1-17.mga6
+ Revision: 976256
- First rebuild of the java stack
- sync package geronimo-jpa with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-13.mga5
+ Revision: 743268
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1.1.1-11.mga4
+ Revision: 564113
- Add javax.mail provides and directory

* Thu Dec 19 2013 dmorgan <dmorgan> 1.1.1-10.mga4
+ Revision: 558823
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-9.mga3
+ Revision: 351454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.1.1-8.mga3
+ Revision: 340132
- Build with maven3

* Thu Apr 28 2011 dmorgan <dmorgan> 1.1.1-6.mga1
+ Revision: 92445
- Rebuild after bootstrapping
- imported package geronimo-jpa

